Retrieve model
get /models/{model}
Retrieves a model instance, providing basic information about the model such as the owner and permissioning.
Path Parameters
model: string
Returns
-
Model object { id, created, object, 2 more }Describes an OpenAI model offering that can be used with the API.
-
id: stringThe model identifier, which can be referenced in the API endpoints.
-
created: numberThe Unix timestamp (in seconds) when the model was created.
-
object: "model"The object type, which is always "model".
"model"
-
owned_by: stringThe organization that owns the model.
-
shutdown_date: optional string or nullThe date when the model will shut down, or null if not announced.
-
Example
curl https://api.openai.com/v1/models/$MODEL \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "id",
"created": 0,
"object": "model",
"owned_by": "owned_by",
"shutdown_date": "2019-12-27"
}
Example
curl https://api.openai.com/v1/models/VAR_chat_model_id \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "VAR_chat_model_id",
"object": "model",
"created": 1686935002,
"owned_by": "openai",
"shutdown_date": "2026-10-23"
}